Bug 25729 - Installer hangs when selecting installation language
Installer hangs when selecting installation language
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2001-02-02 11:33 EST by adam.huffman
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-09 04:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description adam.huffman 2001-02-02 11:33:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.1 i686)

During the graphical installation the language selection screen appeared
but the mouse pointer wouldn't move and the keyboard didn't work either.  I
had to reset the machine. The graphics card is a GeForge2 GTS, Abit KA7-100
motherboard.  There was no traceback I could see (there may well have been
one on a text console but I couldn't switch modes to see).

Reproducible: Didn't try  I'll try again this evening
Comment 1 Joe Ceklosky 2001-02-02 15:36:37 EST
This sounds like an old problem from before.  On my laptop when installing
in TEXT mode the keyboard would lock.  If I suspended the machine using the
hardwired keys and then bought it back, the keyboard is unlocked.  All was ok.
I forget who worked on this, but it had something to do with the read of
the keyboard or mouse locking the keyboard.
I don't have this problem any more because it was fixed a few releases ago.
I am not sure if this is the root cause but it sound exactly the same.

Comment 2 Glen Foster 2001-02-02 18:08:54 EST
We (Red Hat) should really fix this before the next release.
Comment 3 adam.huffman 2001-02-04 19:40:33 EST
Having run the installation again this evening, I think this is another
manifestation of the problem with some USB mice.

I've had USB problems on 7.0 with 2.4 kernels, having to switch between the
uhci and usb-uhci drivers.  This is a KA7-100 motherboard, KX133 chipset,
Logitech MouseMan Wheel USB mouse.  Perhaps the installer could try with both
modules?  As someone else pointed out, the mouse was detected as a PS/2 during
installation. So, I think this bug relates to bug 25633.
Comment 4 Michael Fulbright 2001-02-06 15:28:00 EST
There is a known problem with probing USB mice in the Fisher beta, but it should
not have locked up the keyboard.

Unable to duplicate here - if you try a different type of USB mouse do you still
have this problem?
Comment 5 adam.huffman 2001-02-06 20:40:24 EST
Unfortunately I only have the Logitech here.  I'll see if there's one at work I
can borrow but I think they're all PS/2.  Indeed this mouse works if I use the
PS/2 adapter.

I'll also try with the updated image as I noticed that I get the "can't open
/dev/fb0" message, although I got that with the mouse using the PS/2 adapter and
there wasn't any problem.
Comment 6 Brent Fox 2001-02-09 04:27:39 EST
Last night, I added two entries to the mouse list...one for the Logitech USB
wheel mouse and one for USB Microsoft Intellimouse.  I did an install with the
Logitech USB mouse attached and everything went fine.  I think this issue has
been resolved in the latest trees.  I can't say exactly what the problem was...I
think that the latest kernel builds handle USB devices much better than the
Fisher kernel did.  Brock, please verify.  I have a Logitech USB Wheel mouse you
can borrow.

Note You need to log in before you can comment on or make changes to this bug.